iconv_env_t Struct Reference

## Public Member Functions

VALUE append | _ ((VALUE, VALUE))

## Data Fields

iconv_t | cd
int | argc
VALUE * | argv
VALUE | ret
int | toidx

## Detailed Description

Definition at line 82 of file iconv.c.

## Member Function Documentation

VALUE append iconv_env_t::_ | ( | (VALUE, VALUE) |  | ) |

## Field Documentation

int iconv_env_t::argc

Definition at line 85 of file iconv.c.

Referenced by iconv_fail(), iconv_s_conv(), iconv_s_convert(), and iconv_s_iconv().

VALUE* iconv_env_t::argv

Definition at line 86 of file iconv.c.

Referenced by iconv_fail(), iconv_s_conv(), iconv_s_convert(), and iconv_s_iconv().

iconv_t iconv_env_t::cd

Definition at line 84 of file iconv.c.

Referenced by iconv_conv(), iconv_create(), iconv_finish(), iconv_iconv(), iconv_init_state(), iconv_s_conv(), iconv_s_convert(), iconv_s_iconv(), and iconv_s_open().

VALUE iconv_env_t::ret

Definition at line 87 of file iconv.c.

Referenced by iconv_convert(), iconv_fail(), iconv_s_conv(), iconv_s_convert(), iconv_s_iconv(), iconv_try(), and rb_str_derive().

int iconv_env_t::toidx

Definition at line 88 of file iconv.c.

Referenced by iconv_conv(), iconv_s_conv(), iconv_s_convert(), and iconv_s_iconv().

The documentation for this struct was generated from the following file:

- ext/iconv/iconv.c